<?php

/**
 * Plugin Name: PuckPedia Connector
 * Plugin URI:  https://puckpedia.com/connector
 * Description: Enhance the content of your hockey website's content with inline NHL player and team data supplied by PuckPedia.com.
 * Version:     1.0
 */

if(!defined('ABSPATH')) exit;

// default plugin options
function puckpedia_options_default() {
	return array(
		'target_selector'     => '.entry-content p',
		'scope'     => 'all',
		'link_mode' => 'popup',
		'link_target' => '_blank',
		'path_pattern' => '',
	);
}

if(is_admin()) {
	// include admin settings files
	require_once plugin_dir_path(__FILE__) . 'admin/admin-menu.php';
	require_once plugin_dir_path(__FILE__) . 'admin/settings-page.php';
	require_once plugin_dir_path(__FILE__) . 'admin/settings-register.php';
	require_once plugin_dir_path(__FILE__) . 'admin/settings-callbacks.php';
}

function puckpedia_uninstall() {
  if(!current_user_can('activate plugins')) return;
  //delete_option('puckpedia_scope');
}
register_uninstall_hook(__FILE__, 'puckpedia_uninstall');


function puckpedia_add_head(){
	$options = get_option('puckpedia_options', puckpedia_options_default());
?>
<link rel="stylesheet" href="https://puckpedia.com/connector/styles"></link>
<script type="text/javascript">
	var ppOptions = {
		targetSelector: "<?php echo $options['target_selector']; ?>",
		scope: "<?php echo $options['scope']; ?>",
		linkMode: "<?php echo $options['link_mode']; ?>",
		linkTarget: "<?php echo $options['link_target']; ?>",
		<?php if($options['path_pattern']): ?>
		pathPattern: /<?php echo $options['path_pattern']; ?>/,
		<?php endif; ?>
	};
</script>
<script src="https://puckpedia.com/connector/script" defer=""></script>
<?php
};
add_action('wp_head', 'puckpedia_add_head');
